%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jberet
Version:       1.2.1
Release:       3%{?dist}
Summary:       Batch Applications Implementation
License:       EPL and ASL 2.0
URL:           https://github.com/jberet
Source0:       https://github.com/jberet/jsr352/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires: graphviz
BuildRequires: maven-local
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.h2database:h2)
BuildRequires: mvn(javax.enterprise:cdi-api)
BuildRequires: mvn(javax.inject:javax.inject)
BuildRequires: mvn(jdepend:jdepend)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-failsafe-plugin)
BuildRequires: mvn(org.hibernate.javax.persistence:hibernate-jpa-2.1-api)
BuildRequires: mvn(org.infinispan:infinispan-commons)
BuildRequires: mvn(org.infinispan:infinispan-core)
BuildRequires: mvn(org.jboss:jandex)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss.apiviz:apiviz)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires: mvn(org.jboss.marshalling:jboss-marshalling)
BuildRequires: mvn(org.jboss.spec.javax.batch:jboss-batch-api_1.0_spec)
BuildRequires: mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)
BuildRequires: mvn(org.jboss.weld:weld-core)
BuildRequires: mvn(org.jboss.weld.se:weld-se)
BuildRequires: mvn(org.jgroups:jgroups)
BuildRequires: mvn(org.mongodb:mongo-java-driver)
BuildRequires: mvn(org.wildfly.security:wildfly-security-manager)

BuildArch:     noarch

%description
JSR 352: Batch Applications for the Java Platform implementation classes

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jsr352-%{namedversion}

%pom_disable_module jberet-distribution
%pom_disable_module tck-porting-impl
%pom_disable_module test-apps
# These BRs still are not available:
# org.mongojack:mongojack:2.3.0
# org.beanio:beanio:2.1.0
# com.fasterxml:aalto-xml:0.9.11
%pom_disable_module jberet-support

cp -p jberet-distribution/src/main/resources/LICENSE.txt .

%build
# Tests run: 8, Failures: 0, Errors: 3, Skipped: 1
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md images
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jul 15 2016 gil cattaneo <puntogil@libero.it> 1.2.1-1
- upstream release 1.2.1.Final

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Aug 08 2015 gil cattaneo <puntogil@libero.it> 1.0.0-4
- fix FTBFS rhbz#1239585
- fix BR list and use BR mvn()-like
- remove duplicate files
- introduce license macro
- fix some rpmlint problem

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 13 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-1
- Upstream release 1.0.0.Final

* Mon Dec 16 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.3.CR1
- Upstream release 1.0.0.CR1

* Fri Oct 25 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.2.Alpha4
- Installed license file

* Fri Oct 25 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Alpha4
- Initial packaging

